using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;

namespace SvetoforVKBot.App_Start
{
    public class WebConfiguration: System.Configuration.ConfigurationSection
    {
        [ConfigurationProperty("name", IsKey = true, IsRequired = true, DefaultValue = "Debug")]
        public string Name
        {
            get
            {
                return (string)this["name"];
            }
            set
            {
                this["name"] = value;
            }
        }

        [ConfigurationProperty("token", IsRequired = true, DefaultValue = "")]
        public string Token
        {
            get
            {
                return (string)this["token"];
            }
            set
            {
                this["token"] = value;
            }
        }

        [ConfigurationProperty("secret", IsRequired = true, DefaultValue = "")]
        public string SecretKey
        {
            get
            {
                return (string)this["secret"];
            }
            set
            {
                this["secret"] = value;
            }
        }

        [ConfigurationProperty("confirmation", IsRequired = true, DefaultValue = "")]
        public string Confirmation
        {
            get
            {
                return (string)this["confirmation"];
            }
            set
            {
                this["confirmation"] = value;
            }
        }

        [ConfigurationProperty("groupdialoglink", IsRequired = true, DefaultValue = "")]
        public string GroupDialogsLink
        {
            get
            {
                return (string)this["groupdialoglink"];
            }
            set
            {
                this["groupdialoglink"] = value;
            }
        }

        [ConfigurationProperty("host", IsRequired = true, DefaultValue = "")]
        public string Host
        {
            get
            {
                return (string)this["host"];
            }
            set
            {
                this["host"] = value;
            }
        }

        [ConfigurationProperty("port", IsRequired = true, DefaultValue = "0")]
        public int Port
        {
            get
            {
                return (int)this["port"];
            }
            set
            {
                this["port"] = value;
            }
        }

        [ConfigurationProperty("userName", IsRequired = true, DefaultValue = "")]
        public string UserName
        {
            get
            {
                return (string)this["userName"];
            }
            set
            {
                this["userName"] = value;
            }
        }

        [ConfigurationProperty("password", IsRequired = true, DefaultValue = "")]
        public string Password
        {
            get
            {
                return (string)this["password"];
            }
            set
            {
                this["password"] = value;
            }
        }

        [ConfigurationProperty("sso", IsRequired = true, DefaultValue = "1")]
        public int SSO
        {
            get
            {
                return (int)this["sso"];
            }
            set
            {
                this["sso"] = value;
            }
        }

        [ConfigurationProperty("email", IsRequired = true, DefaultValue = "")]
        public string Email
        {
            get
            {
                return (string)this["email"];
            }
            set
            {
                this["email"] = value;
            }
        }

        [ConfigurationProperty("fromName", IsRequired = true, DefaultValue = "")]
        public string FromName
        {
            get
            {
                return (string)this["fromName"];
            }
            set
            {
                this["fromName"] = value;
            }
        }
    }
}